#///////////////////////////////////////////////////////////////////////////////
#// $Id: 20_cp_com_files.b,v 1.2 2002/12/24 21:36:21 gmaxe Exp $
#//
##! @file
##! @brief Copies commonly used files to the directory where this was called.
##! 
##! This is mostly used to make sure the CSS is up to date. However, other
##! common doxygen files could also be updated.
##! 
##! @bug This needs to be updated to reflect the directory structure of the
##! person who implements it (e.g., non-Voyant, non-techpubs).
##!
##! @ingroup tp_tools tp_shell
##!
##! @author Glenn C. Maxey
#//
#// 2002 Created by Voyant Technologies, Inc., Westminster, Colorado, USA.
#//
#// Permission to use, copy, modify, and distribute this software and its 
#// documentation under the terms of the GNU General Public License is hereby 
#// granted. No representations are made about the suitability of this software 
#// for any purpose. It is provided "as is" without express or implied warranty. 
#// See the GNU General Public License (http://www.gnu.org/copyleft/gpl.html) 
#// for more details.
#// 
#// Documents produced by this script are derivative works derived from the 
#// input used in their production; they are not affected by this license.
#//
#// $Log: 20_cp_com_files.b,v $
#// Revision 1.2  2002/12/24 21:36:21  gmaxe
#// Commented version.
#//
#//
#///////////////////////////////////////////////////////////////////////////////
# assumes that you are in the <rtfm/>techpubs/<home> directory 
# where this script resides
echo "Entering 20_cp_com_files..."

cp m_toc.html doc_publish/
cp /rtfm/techpubs/web_files/voyant_foot.txt .
cp /rtfm/techpubs/web_files/voyant_head.txt .
cp /rtfm/techpubs/web_files/voyant_common.dox .
cp /rtfm/techpubs/web_files/voyant_common.h .

# Copy the following select files again.
cp /rtfm/techpubs/web_files/*.gif doc_publish/
cp /rtfm/techpubs/web_files/voyant_fm.css doc_publish/


cp /rtfm/techpubs/java/doc_publish/*.class doc_publish
cp /rtfm/techpubs/java/doc_publish/entities.txt doc_publish
